[IPython-User] Ipython

Paul Ivanov pi@berkeley....
Fri Apr 5 14:21:59 CDT 2013


Guillermo Rangel, on 2013-04-04 12:58,  wrote:
> Ok.. so when I try from the notebook
> 
> %pylab inline
> 
> I get this:
...
>   Expected in: flat namespace
>  in /Library/Python/2.7/site-packages/matplotlib-1.2.1-py2.7-macosx-10.8-intel.egg/matplotlib/_png.so
...
> And when I try running a script invoking matplotlib I get the following error:
> 
> 
> Traceback (most recent call last):
>   File "plot.py", line 1, in <module>
>     import matplotlib.pyplot as plt
>   File "/Library/Python/2.7/site-packages/matplotlib-1.2.1-py2.7-macosx-10.8-intel.egg/matplotlib/pyplot.py",
> line 26, in <module>
>     from matplotlib.figure import Figure, figaspect
>   File "/Library/Python/2.7/site-packages/matplotlib-1.2.1-py2.7-macosx-10.8-intel.egg/matplotlib/figure.py",
> line 32, in <module>
>     from matplotlib.image import FigureImage
>   File "/Library/Python/2.7/site-packages/matplotlib-1.2.1-py2.7-macosx-10.8-intel.egg/matplotlib/image.py",
> line 22, in <module>
>     import matplotlib._png as _png
> ImportError: dlopen(/Library/Python/2.7/site-packages/matplotlib-1.2.1-py2.7-macosx-10.8-intel.egg/matplotlib/_png.so,
> 2): Symbol not found: _png_create_info_struct
>   Referenced from:
> /Library/Python/2.7/site-packages/matplotlib-1.2.1-py2.7-macosx-10.8-intel.egg/matplotlib/_png.so
>   Expected in: flat namespace
>  in /Library/Python/2.7/site-packages/matplotlib-1.2.1-py2.7-macosx-10.8-intel.egg/matplotlib/_png.so

                                                                                                                                                              
This looks like just a matplotlib, and not an ipython issue, have
a look here, since you're on OS X:
                                                                                                                                                              
https://github.com/matplotlib/matplotlib/blob/master/README.osx                                                                                               
                                                                                                                                                              
(if you use either homebrew, or macports, use those to upgrade,                                                                                               
otherwise, grab the source package for 1.2.1 and do python                                                                                                    
setup.py install on it - not sure why easy_install -U didn't                                                                                                  
work) 
 
also, might try the instructions for removing stale eggs, etc, here                                                                                                                                                          
http://matplotlib.org/faq/installing_faq.html#easy-install  

If you still run into problems, send a message to the matplotlib
list and we'll go from there.
-- 
Paul Ivanov
http://pirsquared.org | GPG/PGP key id: 0x0F3E28F7
-------------- next part --------------
An embedded message was scrubbed...
From: Paul Ivanov <pi@berkeley.edu>
Subject: Re: Fwd: Ipython
Date: Thu, 4 Apr 2013 13:14:34 -0700
Size: 9276
Url: http://mail.scipy.org/pipermail/ipython-user/attachments/20130405/e823c104/attachment.mht 


More information about the IPython-User mailing list